# $Revision: 1.25 $, $Date: 2004/07/12 09:21:20 $
#
# Conditional build:
%bcond_without	curl	# without URL support
%bcond_without	exif	# without EXIF tags support
%bcond_without	gif	# without GIF images support
%bcond_without	jpeg	# without JPEG images support
%bcond_without	lirc	# without LIRC control support
%bcond_without	pcd	# without PCD images support
%bcond_without	png	# without PNG images support
%bcond_without	tiff	# without TIFF images support
%bcond_without	x	# without XWD images and xfs support
#
Summary:	Linux FrameBuffer Imageviewer
Summary(pl):	Przegldarka obrazkw pod FrameBuffer
Name:		fbi
Version:	1.31
Release:	2
License:	GPL
Group:		Applications/Graphics
Source0:	http://bytesex.org/misc/%{name}_%{version}.tar.gz
# Source0-md5:	0f6c0423098c6a9b28a464df9fab7f39
Patch0:		%{name}-fbgs.patch
Patch1:		%{name}-config-noforce.patch
Patch2:		%{name}-libexif06.patch
URL:		http://bytesex.org/fbi.html
%{?with_x:BuildRequires:	XFree86-devel}
%{?with_curl:BuildRequires:	curl-devel}
%{?with_exif:BuildRequires:	libexif-devel >= 1:0.6.9}
%{?with_jpeg:BuildRequires:	libjpeg-devel}
%{?with_pcd:BuildRequires:	libpcd-devel >= 1:1.0.1}
%{?with_png:BuildRequires:	libpng-devel}
%{?with_lirc:BuildRequires:	lirc-devel}
%{?with_tiff:BuildRequires:	libtiff-devel}
%{?with_gif:BuildRequires:	libungif-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a image viewer for linux framebuffer devices. It supports
PhotoCD, JPEG and PPM directly. GIF, TIFF and PNG are handled with the
netpbm tools, for anything else convert from the ImageMagick package
is used as external converter.

%description -l pl
To jest przegldarka obrazkw korzystajca z framebuffera. Obsuguje
bezporednio PhotoCD, JPEG i PPM; GIF, TIFF i PNG poprzez narzdzia z
pakietu netpbm-progs; inne obrazki poprzez program convert z pakietu
ImageMagick.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
CFLAGS="%{rpmcflags}" \
%{__make} \
	CC="%{__cc}" \
	verbose=yes \
	%{!?with_x:HAVE_X11=no} \
	%{!?with_jpeg:HAVE_LIBJPEG=no} \
	%{!?with_pcd:HAVE_LIBPCD=no} \
	%{!?with_png:HAVE_LIBPNG=no} \
	%{!?with_tiff:HAVE_LIBTIFF=no} \
	%{!?with_gif:HAVE_LIBUNGIF=no} \
	%{!?with_exif:HAVE_LIBEXIF=no} \
	%{!?with_curl:HAVE_LIBCURL=no} \
	%{!?with_lirc:HAVE_LIBLIRC=no}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	INSTALL_BINARY=install \
	%{!?with_x:HAVE_X11=no} \
	%{!?with_jpeg:HAVE_LIBJPEG=no} \
	%{!?with_pcd:HAVE_LIBPCD=no} \
	%{!?with_png:HAVE_LIBPNG=no} \
	%{!?with_tiff:HAVE_LIBTIFF=no} \
	%{!?with_gif:HAVE_LIBUNGIF=no} \
	%{!?with_exif:HAVE_LIBEXIF=no} \
	%{!?with_curl:HAVE_LIBCURL=no} \
	%{!?with_lirc:HAVE_LIBLIRC=no}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README debian/changelog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fbi.spec,v $
Revision 1.25  2004/07/12 09:21:20  ankry
- fixed epoch issues for libexif/libpcd

Revision 1.24  2004/06/20 08:09:24  qboosh
- use libexif 0.6.9

Revision 1.23  2004/06/02 12:46:43  qboosh
- prepared libexif06 patch for libexif 0.6.9

Revision 1.22  2004/03/07 15:32:54  adamg
- updated to 1.31

Revision 1.21  2004/02/02 12:13:04  erjot
- up to 1.30

Revision 1.20  2004/01/08 20:33:26  qboosh
- updated to 1.29 (lirc support added)

Revision 1.19  2003/10/21 23:19:10  qboosh
- up to 1.28 (curl support added), updated config-noforce patch

Revision 1.18  2003/10/10 22:24:15  qboosh
- BR: libexif-devel, new bcond style, added bcond_without exif

Revision 1.17  2003/10/04 13:44:16  gotar
- unified bconds

Revision 1.16  2003/10/01 23:34:09  adamg
- updated to 1.27

Revision 1.15  2003/08/01 21:12:44  qboosh
- release 2: rebuild with libpcd 1.0.1

Revision 1.14  2003/06/02 14:15:57  qboosh
- added config-noforce patch and some bconds
- enabled verbose build, disabled unconditional stripping

Revision 1.13  2003/05/26 16:24:57  malekith
- massive attack: adding Source-md5

Revision 1.12  2003/05/25 05:47:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/09 23:41:54  qboosh
- 1.26, forced to use new libpcd

Revision 1.10  2002/07/06 19:58:36  grzegol
- updated to 1.25
- new %%doc
- removed "libpng support" hack
- cosmetics
STBR

Revision 1.9  2002/05/21 23:13:01  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/04/27 18:27:23  qboosh
- added libpng 1.2.2 support

Revision 1.7  2002/04/25 16:17:26  arturs
fixed a small typo

Revision 1.6  2002/04/08 20:35:55  qboosh
- fixed spec and broken fbgs patch, completed BRs

Revision 1.5  2002/04/08 11:05:48  pioklo
- up to 1.23 ,STBR

Revision 1.4  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:12:52  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/07/30 09:57:17  kloczek
- cosmetics.

Revision 1.1  2001/07/29 16:41:01  qboosh
- new; based on spec from package
